Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class AVT

    java.lang.Object
      |
      +--org.apache.xalan.templates.AVT

public class AVT
extends java.lang.Object
implements java.io.Serializable

**For advanced use only** Class to hold an Attribute Value Template.

See Also:
  Serialized Form

Constructor Summary
`AVT(StylesheetHandler handler, java.lang.String uri, java.lang.String name, java.lang.String rawName, java.lang.String stringedValue)` **For advanced use only** Construct an AVT by parsing the string, and either constructing a vector of AVTParts, or simply hold on to the string if the AVT is simple.

Method Summary
`java.lang.String` | `evaluate(XPathContext xctxt, Node context, PrefixResolver nsNode)` **For advanced use only** Evaluate the AVT and return a String.
`java.lang.String` | `getName()` **For advanced use only** Get the local name of the attribute.
`java.lang.String` | `getRawName()` **For advanced use only** Get the raw name of the attribute, with the prefix unprocessed.
`java.lang.String` | `getSimpleString()` **For advanced use only** Get the AVT as the original string.
`java.lang.String` | `getURI()` **For advanced use only** Get the namespace URI of the attribute.
`boolean` | `isContextInsensitive()` **For advanced use only** Test whether the AVT is insensitive to the context in which it is being evaluated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AVT

    public AVT(StylesheetHandler handler,
               java.lang.String uri,
               java.lang.String name,
               java.lang.String rawName,
               java.lang.String stringedValue)
        throws SAXException

  **For advanced use only** Construct an AVT by parsing the string, and either constructing a vector of AVTParts, or simply hold on to the string if the AVT is simple.

Method Detail

### getRawName

    public java.lang.String getRawName()

  **For advanced use only** Get the raw name of the attribute, with the prefix unprocessed. MADE PUBLIC 9/5/2000 to support compilation experiment

### getName

    public java.lang.String getName()

  **For advanced use only** Get the local name of the attribute. MADE PUBLIC 9/5/2000 to support compilation experiment

### getURI

    public java.lang.String getURI()

  **For advanced use only** Get the namespace URI of the attribute. MADE PUBLIC 9/5/2000 to support compilation experiment

### getSimpleString

    public java.lang.String getSimpleString()

  **For advanced use only** Get the AVT as the original string.

### evaluate

    public java.lang.String evaluate(XPathContext xctxt,
                                     Node context,
                                     PrefixResolver nsNode)
                              throws SAXException

  **For advanced use only** Evaluate the AVT and return a String.
  Parameters:
    `context` - The current source tree context.
    `nsNode` - The current namespace context (stylesheet tree context).
    `NodeList` - The current Context Node List.

### isContextInsensitive

    public boolean isContextInsensitive()

  **For advanced use only** Test whether the AVT is insensitive to the context in which it is being evaluated. This is intended to facilitate compilation of templates, by allowing simple AVTs to be converted back into strings. Currently the only case we recognize is simple strings. ADDED 9/5/2000 to support compilation experiment

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.